Create Import
curl --request POST \
--url https://integration.getmateo.com/api/v1/import \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"payload": {},
"contact_list_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact_list_external_id": "<string>",
"allow_deal_reassignment": true,
"allow_appointment_reassignment": true
}
'import requests
url = "https://integration.getmateo.com/api/v1/import"
payload = {
"payload": {},
"contact_list_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact_list_external_id": "<string>",
"allow_deal_reassignment": True,
"allow_appointment_reassignment": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
payload: {},
contact_list_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
contact_list_external_id: '<string>',
allow_deal_reassignment: true,
allow_appointment_reassignment: true
})
};
fetch('https://integration.getmateo.com/api/v1/import', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://integration.getmateo.com/api/v1/import",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'payload' => [
],
'contact_list_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'contact_list_external_id' => '<string>',
'allow_deal_reassignment' => true,
'allow_appointment_reassignment' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://integration.getmateo.com/api/v1/import"
payload := strings.NewReader("{\n \"payload\": {},\n \"contact_list_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"contact_list_external_id\": \"<string>\",\n \"allow_deal_reassignment\": true,\n \"allow_appointment_reassignment\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://integration.getmateo.com/api/v1/import")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"payload\": {},\n \"contact_list_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"contact_list_external_id\": \"<string>\",\n \"allow_deal_reassignment\": true,\n \"allow_appointment_reassignment\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://integration.getmateo.com/api/v1/import")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"payload\": {},\n \"contact_list_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"contact_list_external_id\": \"<string>\",\n \"allow_deal_reassignment\": true,\n \"allow_appointment_reassignment\": true\n}"
response = http.request(request)
puts response.read_body{
"id": "random uuid",
"created_at": "now()",
"updated_at": "now()",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "contact_details",
"payload": {},
"contact_list_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact_list_external_id": "<string>",
"failed_url": "<string>",
"payload_url": "<string>",
"total_count": 123,
"success_count": 123,
"failed_count": 123,
"reference_id": "<string>",
"hints": {},
"allow_deal_reassignment": true,
"allow_appointment_reassignment": true
}{
"id": "random uuid",
"created_at": "now()",
"updated_at": "now()",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "contact_details",
"payload": {},
"contact_list_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact_list_external_id": "<string>",
"failed_url": "<string>",
"payload_url": "<string>",
"total_count": 123,
"success_count": 123,
"failed_count": 123,
"reference_id": "<string>",
"hints": {},
"allow_deal_reassignment": true,
"allow_appointment_reassignment": true
}This response has no body data.Import
Create Import
Create a new import
Create Import
curl --request POST \
--url https://integration.getmateo.com/api/v1/import \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"payload": {},
"contact_list_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact_list_external_id": "<string>",
"allow_deal_reassignment": true,
"allow_appointment_reassignment": true
}
'import requests
url = "https://integration.getmateo.com/api/v1/import"
payload = {
"payload": {},
"contact_list_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact_list_external_id": "<string>",
"allow_deal_reassignment": True,
"allow_appointment_reassignment": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
payload: {},
contact_list_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
contact_list_external_id: '<string>',
allow_deal_reassignment: true,
allow_appointment_reassignment: true
})
};
fetch('https://integration.getmateo.com/api/v1/import', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://integration.getmateo.com/api/v1/import",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'payload' => [
],
'contact_list_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'contact_list_external_id' => '<string>',
'allow_deal_reassignment' => true,
'allow_appointment_reassignment' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://integration.getmateo.com/api/v1/import"
payload := strings.NewReader("{\n \"payload\": {},\n \"contact_list_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"contact_list_external_id\": \"<string>\",\n \"allow_deal_reassignment\": true,\n \"allow_appointment_reassignment\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://integration.getmateo.com/api/v1/import")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"payload\": {},\n \"contact_list_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"contact_list_external_id\": \"<string>\",\n \"allow_deal_reassignment\": true,\n \"allow_appointment_reassignment\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://integration.getmateo.com/api/v1/import")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"payload\": {},\n \"contact_list_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"contact_list_external_id\": \"<string>\",\n \"allow_deal_reassignment\": true,\n \"allow_appointment_reassignment\": true\n}"
response = http.request(request)
puts response.read_body{
"id": "random uuid",
"created_at": "now()",
"updated_at": "now()",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "contact_details",
"payload": {},
"contact_list_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact_list_external_id": "<string>",
"failed_url": "<string>",
"payload_url": "<string>",
"total_count": 123,
"success_count": 123,
"failed_count": 123,
"reference_id": "<string>",
"hints": {},
"allow_deal_reassignment": true,
"allow_appointment_reassignment": true
}{
"id": "random uuid",
"created_at": "now()",
"updated_at": "now()",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "contact_details",
"payload": {},
"contact_list_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact_list_external_id": "<string>",
"failed_url": "<string>",
"payload_url": "<string>",
"total_count": 123,
"success_count": 123,
"failed_count": 123,
"reference_id": "<string>",
"hints": {},
"allow_deal_reassignment": true,
"allow_appointment_reassignment": true
}This response has no body data.The
We will parse each option and use the first valid phone number out of the list as the input. To improve accuracy, you can pass a
This means you do not have to call the
payload is an array of objects, where each object will be imported. For all three types, we expect the same payload you would also send to their respective /x_details endpoint.
To simplify integrations, deals and appointments both accept an additional contact_external_id that can be set instead of the contact_id.
For cross-contact updates by external ID, set allow_deal_reassignment for deals or allow_appointment_reassignment for appointments.
Parsing Phone Numbers
Forcontact_details imports, we also accept a list of phone numbers for both whatsapp and sms:
{
"whatsapp": ["+493813901", "+18494383"],
"sms": ["+493813901", "+18494383"]
}
country_codes array along:
{
"whatsapp": ["+493813901", "+18494383"],
"sms": ["+493813901", "+18494383"],
"country_codes": ["DE", "AT"]
}
/format endpoint separately. It will be handled within the import.Authorizations
Body
application/json
import
Response
The updated Import object